Aller au contenu

Marquer une alerte de sécurité comme lue

PATCH/api/public/v1/alerts/{alert_id}/read

Idempotent. Re-marking an already-read alert returns 200 with the existing `read_at` and emits no audit event. Cross-tenant returns 404.

Fenêtre de terminal
curl --fail-with-body -X PATCH 'https://app.openlatch.ai/api/public/v1/alerts/<alert_id>/read' \
-H "Authorization: Bearer $OPENLATCH_API_KEY"
Rôle dans l’organisationCe point de terminaison
ownerAutorisé
adminAutorisé
editorAutorisé
viewerNon autorisé

Une clé porte le rôle que son propriétaire détient dans l’organisation. Voir Authentification.

Portée de clé d’API : alerts:write

ParamètreTypeDescription
alert_idstring (uuid)Obligatoire.
ParamètreTypeDescription
Idempotency-Keystring or nullOptional. Makes the request safe to retry: the same key and the same request, within 24 hours, returns the stored response with Idempotent-Replayed: true and runs once.
ChampTypeDescription
dismissed_atstring (date-time) or nullObligatoire.
idstring (uuid)Obligatoire.
read_atstring (date-time) or nullObligatoire.
statusstring — one of unread, read, dismissedObligatoire.
{
"dismissed_at": "2026-01-15T14:32:05Z",
"id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"read_at": "2026-01-15T14:32:05Z",
"status": "unread"
}